#Based on fedora's spec

%global pypi_name loguru

Name:           python-%{pypi_name}
Version:        0.7.3
Release:        %mkrel 1
Summary:        Loguru is a library which aims to bring enjoyable logging in Python.
Group:          Development/Python
License:        MIT
URL:            https://github.com/Delgan/loguru
Source0:        %{url}/archive/refs/tags/%{version}.tar.gz?/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
This library is intended to make Python logging less painful by adding a 
bunch of useful functionalities that solve caveats of the standard 
loggers. Using logs in your application should be an automatism, Loguru 
tries to make it both pleasant and powerful.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(structlog)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
loguru module for Python.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc CHANGELOG.rst CONTRIBUTING.rst README.md

